Ext.define('plugin.contactUs.res.GoogleMapUtil', {  
           	     extend: 'Ext.Map',
           	     config: {  
           	      		title:'',  
           	      		lat:'',  
           	      		lng:'', 
           	      		actionBtn:'0',
           	      		travel:google.maps.DirectionsTravelMode.DRIVING,
           	      		mapType:google.maps.MapTypeId.ROADMAP,
           	      		travel:'',
           	      		mapType:'',
           	      		mapOptions: {  
           	      			zoom: 8,
           	      			mapTypeId:this.mapType,
           	      			travelMode:this.travel
           	      		},  
           	      			          
           	      		listeners: [  
           	      			{  
           	      				fn: 'onMaprender',  
           	      				event: 'maprender'  
           	      			} ,
           	      			 
           	      		],
           	      	autoDestroy: true,
           	     }, 
           	  
           	     
           	     onMaprender: function(map, options) { 
  				     var me = this;
           	    	 var gmap=this.getMap();
           	    	 
           	    	 var infoWindow = new google.maps.InfoWindow();  
           	    	 var title=this.getTitle();  
           	    	 infoWindow.setContent(title);  
           	    	 
           	    	 var c=new google.maps.LatLng(this.getLat(),this.getLng()); 
           	    	 map.setMapCenter(c);  
           	    	 var marker= new google.maps.Marker({  
           	    		 position:c,    
           	    		 map: gmap,  
           	    		 title:title,  
           	    		 draggable: false,  
           	    		 animation: google.maps.Animation.DROP  
           	    	 });   
           	    	 infoWindow.open(gmap, marker);
           	    	 
           	    	 google.maps.event.addListener(marker, "click", function() {  
           	    		 infoWindow.close();  
           	    		 infoWindow = new google.maps.InfoWindow({  
           	    			 map: gmap,  
           	    			 position: c,  
           	    			 content: title  
           	    		 });  
           	    	 }); 
           	    	
           	    	 if(this.getActionBtn() != '0' && this.getActionBtn() != 0){
           	    		Device.getPosition(function() {
           	    			 console.log(map);
           	    			 me.routeMap(map,gmap,marker,infoWindow);
           	    		 });           	    		
           	    	 }
     },
     routeMap:function(map,gmap,marker,infoWindow){
    	//-----------------------
	    //var pos = new google.maps.LatLng(ASVari.geo.getLatitude(),ASVari.geo.getLongitude()); 
	    var pos = new google.maps.LatLng(ASVari.latitude,ASVari.longitude);  
 	     var centerMarker= new google.maps.Marker({  
   			 position: pos,  
   			 map: gmap,  
   			 draggable: false,  
   			 animation: google.maps.Animation.DROP  
   		 });  
   		 google.maps.event.addListener(centerMarker, "click", function() {  
   			 infoWindow.close();  
   			 infoWindow = new google.maps.InfoWindow({  
   				 //title:'The current position',
   				 map: gmap,  
   				 position: pos,  
   				 content: Util.getMessageInner('currentPosition',null,'contactUs')
   			 });  
   		 });  
   		 
   		 var populationOptions = {  
   				 strokeColor: "#FF0000",  
   				 strokeOpacity: 0.8,  
   				 strokeWeight: 2,  
   				 fillColor: "#FF0000",  
   				 fillOpacity: 0.35,  
   				 map: gmap,  
   				 center: pos,  
   				 radius: 100  
   		 };  
   		 var cityCircle = new google.maps.Circle(populationOptions);  
   		 var  Target= marker.getPosition();  
   		 var directionsService = new google.maps.DirectionsService();  
   		 var directionsDisplay = new google.maps.DirectionsRenderer();    
   		 directionsDisplay.setMap(gmap); 
   		
   		 var request = {    
   				 origin:pos,     
   				 destination:Target,    
   				 travelMode: map.getTravel()    
   		 };    
   		 directionsService.route(request, function(result, status) { 
   			 if (status == google.maps.DirectionsStatus.OK) { 
   				
   				 directionsDisplay.setDirections(result);    
   			 }    
   		 });   
   		 setTimeout(function(){infoWindow.close();},3000);  
   		//-----------------------
     }
           	    				     
});